Effect = {
	{
		Type = "smoke", -- Huge smoke with no fire
		LODdistance = 50000.0,
		Texture = "puff01.dds",
		-- Texture = "puff02.dds",
		
		ColorGradientTexture = "fireGradient01_Taz.dds",
		AlphaGradientTexture = "fireGradient01_Taz.dds",
		
		Points = 7, -- 2 minimum
		Density = 0.2,
		Radius = {90, 420},-- start, finish
		RadiusFactor = 1.0,
		Length = 500,
		TrailSpeedMin = 15,
		HeightFactor = 0.5,
		
		AnimSpeed = 60, -- FPS

		Color = {61/255.0, 70/255.0, 73/255.0},
		Opacity = 0.3,
		Lighting = 0.6,
		
		FlameAttenuation = {-50, 130}, -- meters from smoke start
		FlamePower = 5.0*9,
		FlameFactor = 0.5,
	},
}

staticEffect = true

Presets =
{
	hugeSmokeWithFire =
	{
		{
			Type = "smoke",
		}
	},
	
	largeSmokeWithFire = -- Smaller huge smoke with no fire
	{
		{
			Type = "smoke",
			
			Density = 0.2,
			Radius = {60, 350},-- start, finish
			RadiusFactor = 1.0,
			Length = 400,
			TrailSpeedMin = 10,
			HeightFactor = 0.4,
			
			AnimSpeed = 60, -- FPS

			Color = {61/255.0, 70/255.0, 73/255.0},
			Opacity = 0.3,
			Lighting = 0.6,
			
			FlameAttenuation = {-40, 100}, -- meters from smoke start
			FlamePower = 5.0*9,
			FlameFactor = 1.5,
		}
	},
	
	mediumSmokeWithFire =
	{
		{
			Type = "smoke",
			
			Density = 0.2,
			Radius = {28, 180},-- start, finish
			RadiusFactor = 1.0,
			Length = 300,
			TrailSpeedMin = 8,
			HeightFactor = 0.2,
			
			AnimSpeed = 60, -- FPS

			Color = {61/255.0, 70/255.0, 73/255.0},
			Opacity = 0.3,
			Lighting = 0.6,
			
			FlameAttenuation = {-20, 40}, -- meters from smoke start
			FlamePower = 5.0*9,
			FlameFactor = 1.5,
		}
	},
	
	smallSmokeWithFire = -- Placeable large smoke
	{
		{
			Type = "smoke",
			
			Density = 0.2,
			Radius = {22, 150},-- start, finish
			RadiusFactor = 1.0,
			Length = 260,
			TrailSpeedMin = 6,
			HeightFactor = 0.25,
			
			AnimSpeed = 90, -- FPS

			Color = {61/255.0*0.8, 70/255.0*0.8, 73/255.0*0.8},
			Opacity = 0.3,
			Lighting = 0.6,
			
			FlameAttenuation = {-10, 30}, -- meters from smoke start
			FlamePower = 5.0*2,
			FlameFactor = 0.5,
			PositionOffsetLocal = {0, -8.0, 0},
		}
	},

	miniSmokeWithFire = -- vehicle smoke
	{
		{
			Type = "smoke",
			
			Density = 0.2,
			Radius = {9, 130},-- start, finish
			RadiusFactor = 1.0,
			Length = 160,
			TrailSpeedMin = 4,
			HeightFactor = 0.25,
			
			AnimSpeed = 90, -- FPS

			Color = {61/255.0*0.8, 70/255.0*0.8, 73/255.0*0.8},
			Opacity = 0.26,
			Lighting = 0.6,
			
			FlameAttenuation = {-1.0, 1.6}, -- meters from smoke start
			FlamePower = 4.0*2,
			FlameFactor = 0.018,
			PositionOffsetLocal = {0, -10.0, 0},
		}
	},

	areaSmokeWithFire =
	{
		{
			Type = "smoke",
			
			Density = 0.2,
			Radius = {15, 80},-- start, finish
			RadiusFactor = 1.0,
			Length = 150,
			TrailSpeedMin = 5,
			HeightFactor = 0.25,
			
			AnimSpeed = 70, -- FPS

			Color = {61/255.0*0.8, 70/255.0*0.8, 73/255.0*0.8},
			Opacity = 1.0,
			Lighting = 0.6,
			
			FlameAttenuation = {-10, 30}, -- meters from smoke start
			FlamePower = 5.0*9,
			FlameFactor = 1.5,
		},
		{
			Type = "smoke",
			
			Density = 0.25,
			Radius = {5, 50},-- start, finish
			RadiusFactor = 1.0,
			Length = 65,
			TrailSpeedMin = 4,
			HeightFactor = 0.25,
			
			AnimSpeed = 90, -- FPS

			Color = {61/255.0*0.8, 70/255.0*0.8, 73/255.0*0.8},
			Opacity = 0.9,
			Lighting = 0.65,
			
			FlameAttenuation = {-10, 38}, -- meters from smoke start
			FlamePower = 5.0*9,
			FlameFactor = 1.4,
			PositionOffsetLocal = {-6.5, -0.5, -7.543},

			LODdistance = 50000.0,
			Texture = "puff01.dds",
			-- Texture = "puff02.dds",
			
			ColorGradientTexture = "fireGradient01_Taz.dds",
			AlphaGradientTexture = "fireGradient01_Taz.dds",
			
			Points = 7, -- 2 minimum
			

		}
		,{
			Type = "smoke",
			LODdistance = 50000.0,
			Texture = "puff01.dds",
			-- Texture = "puff02.dds",
			
			ColorGradientTexture = "fireGradient01_Taz.dds",
			AlphaGradientTexture = "fireGradient01_Taz.dds",
			
			Points = 7, -- 2 minimum
			

			Density = 0.15,
			Radius = {4, 40},-- start, finish
			RadiusFactor = 0.75,
			Length = 80,
			TrailSpeedMin = 3,
			HeightFactor = 0.2,
			
			AnimSpeed = 85, -- FPS

			Color = {61/255.0*0.8, 70/255.0*0.8, 73/255.0*0.8},
			Opacity = 0.95,
			Lighting = 0.5,
			
			FlameAttenuation = {-10, 35}, -- meters from smoke start
			FlamePower = 5.0*9,
			FlameFactor = 1.6,
			PositionOffsetLocal = {7.23, -0.75, 6.2},
		}
	},
}

Presets.hugeSmoke = deepcopy(Presets.hugeSmokeWithFire)
Presets.hugeSmoke[1].FlameAttenuation = {-100, -1.0}

Presets.largeSmoke = deepcopy(Presets.largeSmokeWithFire)
Presets.largeSmoke[1].FlameAttenuation = {-100, -1.0}

Presets.mediumSmoke = deepcopy(Presets.mediumSmokeWithFire)
Presets.mediumSmoke[1].FlameAttenuation = {-100, -1.0}

Presets.smallSmoke = deepcopy(Presets.smallSmokeWithFire)
Presets.smallSmoke[1].FlameAttenuation = {-100, -1.0}
